TAIL(1)

NAVN
tail - vis den sidste del på filer

SYNOPSIS
tail [FLAG]... [FIL]...

BESKRIVELSE

Skriv de sidste 10 linjer af hver FIL til standard-ud. Med mere end en FIL angivet, udskriv filnavnet før hver FIL.

Hvis ingen FIL er angivet, eller FIL er -, læses fra standard-ind.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-c, --bytes=[+]NUM
    udskriv de sidste NUM byte, eller brug -c +NUM til at udskrive byte fra position NUM i hver fil

-f, --follow[={navn|deskriptor}]
    udskriv tilføjede data efterhånden som filen vokser;

    udeladt argument til flaget betyder "descriptor"

-F  det samme som --follow=navn --retry

-n, --lines=[+]NUM
    udskriv sidste NUM linjer frem for sidste 10, eller brug -n +NUM til at udskrive fra og med linje NUM

--max-unchanged-stats=N
    med --follow=navn: Genåbn en FIL som ikke har ændret

    størrelse efter N (forvalg %d) iterationer for at se om den er blevet aflænket eller omdøbt (dette er normalt tilfældet for roterede logfiler). Dette flag er sjældent nyttigt sammen med inotify.

--pid=PID
    med -f, terminér efter proces med ID, PID er død

-q, --quiet, --silent
    udskriv ikke overskrifter med filnavne

--retry
    forsøg fortsat at åbne en fil hvis utilgængelig

-s, --sleep-interval=N
    med -f: sov cirka N sekunder mellem hver iteration (forvalg 1,0 sekund). Med inotify og --pid=P, tjekkes proces P mindst en gang hvert N sekunder.

-v, --verbose
    udskriv altid overskrifter med filnavne

-z, --zero-terminated
    linjeadskiller er NUL frem for linjeskift

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

NUM kan have et multiplikativt suffiks: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024 og så videre for T, P, E, Z, Y. Binært præfiks kan også bruges: KiB=K, MiB=M og så videre.

Med --follow (-f) vil tail som standard følge fildeskriptoren. Dette betyder at en fil omdøbes når den følges af tail, så vil tail fortsat udskrive ved filens afslutning. Denne opførsel er ikke ønskværdig, når du virkelig ønsker at følge det faktiske navn på filen og ikke fildeskriptoren (f.eks. ved logrotation). Brug --follow=navn i dette tilfælde. Dette får "tail" til at følge den angivne fil på en måde, der tillader omdøbning, sletning og oprettelse.

FORFATTER
Skrevet af Paul Rubin, David MacKenzie, Ian Lance Taylor og Jim Meyering.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

OPHAVSRET
Ophavsret © 2022 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det. Der gives INGEN GARANTI, i den grad som loven tillader dette.

SE OGSÅ
head(1)

Fuld dokumentation <https://www.gnu.org/software/coreutils/tail>
eller lokalt tilgængelig via: info '(coreutils) tail invocation'

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.